GlueGen: com.jogamp.gluegen.JavaEmitter.MethodAccess Enum Reference

GlueGen v2.6.0-rc-20250822 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | Public Attributes | List of all members
com.jogamp.gluegen.JavaEmitter.MethodAccess Enum Reference

Access control for emitted Java methods. More...

Collaboration diagram for com.jogamp.gluegen.JavaEmitter.MethodAccess:

## Public Member Functions

final String | getJavaName ()
| MethodAccess (final String javaName)

## Public Attributes

| PUBLIC =("public")
| PROTECTED =("protected")
| PRIVATE =("private")
| PACKAGE_PRIVATE =("/* pp */")
| PUBLIC_ABSTRACT =("abstract")

## Detailed Description

Access control for emitted Java methods.

Definition at line 124 of file JavaEmitter.java.

## Constructor & Destructor Documentation

## ◆ MethodAccess()

com.jogamp.gluegen.JavaEmitter.MethodAccess.MethodAccess | ( | final String | javaName | ) |

Definition at line 129 of file JavaEmitter.java.

## Member Function Documentation

## ◆ getJavaName()

final String com.jogamp.gluegen.JavaEmitter.MethodAccess.getJavaName | ( |  | ) |

Definition at line 127 of file JavaEmitter.java.

## Member Data Documentation

## ◆ PACKAGE_PRIVATE

com.jogamp.gluegen.JavaEmitter.MethodAccess.PACKAGE_PRIVATE =("/* pp */")

Definition at line 125 of file JavaEmitter.java.

## ◆ PRIVATE

com.jogamp.gluegen.JavaEmitter.MethodAccess.PRIVATE =("private")

Definition at line 125 of file JavaEmitter.java.

## ◆ PROTECTED

com.jogamp.gluegen.JavaEmitter.MethodAccess.PROTECTED =("protected")

Definition at line 125 of file JavaEmitter.java.

## ◆ PUBLIC

com.jogamp.gluegen.JavaEmitter.MethodAccess.PUBLIC =("public")

Definition at line 125 of file JavaEmitter.java.

## ◆ PUBLIC_ABSTRACT

com.jogamp.gluegen.JavaEmitter.MethodAccess.PUBLIC_ABSTRACT =("abstract")

Definition at line 125 of file JavaEmitter.java.

The documentation for this enum was generated from the following file:

- src/java/com/jogamp/gluegen/JavaEmitter.java